VM

V!

Bug #1072568 reported by mere user on 2012-10-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
VM
Medium
Uday Reddy

Bug Description

Hi Uday, when trying V! I get the error below. It does work on a second try, although then I get an empty buffer and I see the virtual folder only after pressing h to get a summary. best, E

Debugger entered--Lisp error: (error "Marker does not point anywhere")
  vm-narrow-for-preview(t)
  vm-present-current-message()
  vm-visit-virtual-folder("(inbox flagged)" nil nil "%n %*%a %-17.17F %-3.3m %2d %4l/%-5c %I%P \"%s\"\n")
  vm-create-virtual-folder(flagged nil nil)
  vm-create-flagged-virtual-folder(nil)
  call-interactively(vm-create-flagged-virtual-folder nil nil)

Related branches

Hi Eli, I think there is some corrupted data in your folder. It might go
away on its own the next time. If it doesn't, please load "vm-page.el" so
that we get a more detailed error trace.

mere user (emacs-user) wrote :

hi Uday, I erased my folder and downloaded it (nearly 400Mb) again
from gmail. same problem. is there a way to find out what the
corruption might be? I loaded vm-page.el and tried again and am still
getting this:

Debugger entered--Lisp error: (error "Marker does not point anywhere")
  vm-narrow-for-preview(t)
  vm-present-current-message()
  vm-visit-virtual-folder("(inbox flagged)" nil nil "%n %*%a %-17.17F
%-3.3m %2d %4l/%-5c %I%P \"%s\"\n")
  vm-create-virtual-folder(flagged nil nil)
  vm-create-flagged-virtual-folder(nil)
  call-interactively(vm-create-flagged-virtual-folder nil nil)

On Mon, Oct 29, 2012 at 11:38 AM, Uday Reddy <email address hidden> wrote:
> Hi Eli, I think there is some corrupted data in your folder. It might go
> away on its own the next time. If it doesn't, please load "vm-page.el" so
> that we get a more detailed error trace.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1072568
>
> Title:
> V!
>
> Status in VM (View Mail) for Emacs:
> New
>
> Bug description:
> Hi Uday, when trying V! I get the error below. It does work on a
> second try, although then I get an empty buffer and I see the virtual
> folder only after pressing h to get a summary. best, E
>
> Debugger entered--Lisp error: (error "Marker does not point anywhere")
> vm-narrow-for-preview(t)
> vm-present-current-message()
> vm-visit-virtual-folder("(inbox flagged)" nil nil "%n %*%a %-17.17F %-3.3m %2d %4l/%-5c %I%P \"%s\"\n")
> vm-create-virtual-folder(flagged nil nil)
> vm-create-flagged-virtual-folder(nil)
> call-interactively(vm-create-flagged-virtual-folder nil nil)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/vm/+bug/1072568/+subscriptions

Uday Reddy (reddyuday) wrote :

> hi Uday, I erased my folder and downloaded it (nearly 400Mb) again
> from gmail. same problem.

Ok. Then it is due to folder corruption.

> I loaded vm-page.el and tried again and am still
> getting this:
>
> Debugger entered--Lisp error: (error "Marker does not point anywhere")
> vm-narrow-for-preview(t)
> vm-present-current-message()
> vm-visit-virtual-folder("(inbox flagged)" nil nil "%n %*%a %-17.17F
> %-3.3m %2d %4l/%-5c %I%P \"%s\"\n")
> vm-create-virtual-folder(flagged nil nil)
> vm-create-flagged-virtual-folder(nil)
> call-interactively(vm-create-flagged-virtual-folder nil nil)

1. Unfortunately, the backtrace is still for the compiled vm-page (not the
".el" file). So, please try again.

2. I am not able to reproduce the error. So, it is probably being fired by
some setting you use, or there is something in the folder that is causing
the problem.

So, please it try it with default settings as well. If it doesn't happen
with the default settings, then you need to submit vm-submit-bug-report.

3. After you get this error, can you continue using the virtual folder? Or,
does it keep on giving the error?

Cheers,
Uday

mere user (emacs-user) wrote :
Download full text (15.2 KiB)

hi Uday, perhaps it's not worth your time if this is due to a folder
corruption on my side. I tried it again with my sent-mail folder and
it shows the same problem. Here are some responses just in case:

On Sun, Nov 18, 2012 at 2:42 PM, Uday Reddy <email address hidden> wrote:
>> hi Uday, I erased my folder and downloaded it (nearly 400Mb) again
>> from gmail. same problem.
>
> Ok. Then it is due to folder corruption.
>
>> I loaded vm-page.el and tried again and am still
>> getting this:
>>
> 1. Unfortunately, the backtrace is still for the compiled vm-page (not the
> ".el" file). So, please try again.

apologies for misunderstanding, here it is,

Debugger entered--Lisp error: (error "Marker does not point anywhere")
  goto-char(#<marker in no buffer>)
  (save-excursion (goto-char (vm-text-of (car vm-message-pointer)))
(forward-line (if (natnump vm-preview-lines) vm-preview-lines 0)) (if
(and (not just-passing-through) vm-xemacs-p vm-mail-buffer
vm-auto-decode-mime-messages vm-mime-decode-for-preview (not
(vm-mime-plain-message-p (car vm-message-pointer)))) (let
((buffer-read-only nil)) (insert " ") (forward-char -1))) (point))
  (min (vm-text-end-of (car vm-message-pointer)) (save-excursion
(goto-char (vm-text-of (car vm-message-pointer))) (forward-line (if
(natnump vm-preview-lines) vm-preview-lines 0)) (if (and (not
just-passing-through) vm-xemacs-p vm-mail-buffer
vm-auto-decode-mime-messages vm-mime-decode-for-preview (not
(vm-mime-plain-message-p (car vm-message-pointer)))) (let
((buffer-read-only nil)) (insert " ") (forward-char -1))) (point)))
  (cond ((not (eq vm-preview-lines t)) (min (vm-text-end-of (car
vm-message-pointer)) (save-excursion (goto-char (vm-text-of (car
vm-message-pointer))) (forward-line (if (natnump vm-preview-lines)
vm-preview-lines 0)) (if (and (not just-passing-through) vm-xemacs-p
vm-mail-buffer vm-auto-decode-mime-messages vm-mime-decode-for-preview
(not (vm-mime-plain-message-p ...))) (let ((buffer-read-only nil))
(insert " ") (forward-char -1))) (point)))) (t (vm-text-end-of (car
vm-message-pointer))))
  (narrow-to-region (vm-vheaders-of (car vm-message-pointer)) (cond
((not (eq vm-preview-lines t)) (min (vm-text-end-of (car
vm-message-pointer)) (save-excursion (goto-char (vm-text-of (car
vm-message-pointer))) (forward-line (if (natnump vm-preview-lines)
vm-preview-lines 0)) (if (and (not just-passing-through) vm-xemacs-p
vm-mail-buffer vm-auto-decode-mime-messages vm-mime-decode-for-preview
(not ...)) (let (...) (insert " ") (forward-char -1))) (point)))) (t
(vm-text-end-of (car vm-message-pointer)))))
  vm-narrow-for-preview(t)
  (progn (setq vm-system-state (quote previewing)) (setq
vm-mime-decoded nil) (if vm-external-fetch-message-for-presentation
(progn (if (vm-body-to-be-retrieved-of (car vm-message-pointer))
(progn (let ((mm ...)) (vm-retrieve-real-message-body mm :fetch t
:register t)))) (if vm-real-buffers (progn (vm-make-virtual-copy (car
vm-message-pointer)))))) (save-excursion (vm-select-folder-buffer) (if
(and vm-select-new-message-hook (vm-new-flag (car
vm-message-pointer))) (progn (vm-run-hook-on-message (quote
vm-select-new-message-hook) (car vm-message-pointer)))) (if (and
vm-select-u...

Uday Reddy (reddyuday) wrote :

mere user writes:

> Debugger entered--Lisp error: (error "Marker does not point anywhere")
> goto-char(#<marker in no buffer>)
> (save-excursion (goto-char (vm-text-of (car vm-message-pointer)))

What this shows is that the marker that records the text part of the
"current message" at this stage doesn't point anywhere, i.e., it hasn't been
set.

Which message is the current message? Does the problem arise for a
particular current message or for all of them, i.e., the current message
when you do `V!' ? Does `V C flagged' cause the same problem?

Cheers,
Uday

Uday Reddy (reddyuday) wrote :

mere user writes:

> hi Uday, perhaps it's not worth your time if this is due to a folder
> corruption on my side. I tried it again with my sent-mail folder and
> it shows the same problem. Here are some responses just in case:

Well, if VM is causing any folder corruption, that is a very serious issue.
So, we can't ignore it.

I think the best course of action would be if you can create a small folder
that illustrates the problem and send it to me. Use vm-submit-bug-report to
send it so that it doesn't get put on the web.

Cheers,
Uday

mere user (emacs-user) wrote :

On Sun, Nov 18, 2012 at 5:06 PM, Uday Reddy <email address hidden> wrote:
> mere user writes:
>
>> Debugger entered--Lisp error: (error "Marker does not point anywhere")
>> goto-char(#<marker in no buffer>)
>> (save-excursion (goto-char (vm-text-of (car vm-message-pointer)))
>
> What this shows is that the marker that records the text part of the
> "current message" at this stage doesn't point anywhere, i.e., it hasn't been
> set.
>
> Which message is the current message? Does the problem arise for a
> particular current message or for all of them, i.e., the current message
> when you do `V!' ? Does `V C flagged' cause the same problem?

this seems to happen for any current message. and V C flagged shows
the same problem. I will try to produce a small example and submit a
report. I worry that these are my settings again and I am waisting
your time... :)

> Cheers,
> Uday
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1072568
>
> Title:
> V!
>
> Status in VM (View Mail) for Emacs:
> New
>
> Bug description:
> Hi Uday, when trying V! I get the error below. It does work on a
> second try, although then I get an empty buffer and I see the virtual
> folder only after pressing h to get a summary. best, E
>
> Debugger entered--Lisp error: (error "Marker does not point anywhere")
> vm-narrow-for-preview(t)
> vm-present-current-message()
> vm-visit-virtual-folder("(inbox flagged)" nil nil "%n %*%a %-17.17F %-3.3m %2d %4l/%-5c %I%P \"%s\"\n")
> vm-create-virtual-folder(flagged nil nil)
> vm-create-flagged-virtual-folder(nil)
> call-interactively(vm-create-flagged-virtual-folder nil nil)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/vm/+bug/1072568/+subscriptions

Uday Reddy (reddyuday) wrote :

Fix committed in rev. 1448.

works now, thank you!

On Mon, Nov 19, 2012 at 12:44 AM, Uday Reddy <email address hidden> wrote:
> Fix committed in rev. 1448.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1072568
>
> Title:
> V!
>
> Status in VM (View Mail) for Emacs:
> New
>
> Bug description:
> Hi Uday, when trying V! I get the error below. It does work on a
> second try, although then I get an empty buffer and I see the virtual
> folder only after pressing h to get a summary. best, E
>
> Debugger entered--Lisp error: (error "Marker does not point anywhere")
> vm-narrow-for-preview(t)
> vm-present-current-message()
> vm-visit-virtual-folder("(inbox flagged)" nil nil "%n %*%a %-17.17F %-3.3m %2d %4l/%-5c %I%P \"%s\"\n")
> vm-create-virtual-folder(flagged nil nil)
> vm-create-flagged-virtual-folder(nil)
> call-interactively(vm-create-flagged-virtual-folder nil nil)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/vm/+bug/1072568/+subscriptions

Uday Reddy (reddyuday) on 2013-05-20
Changed in vm:
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Uday Reddy (reddyuday)
milestone: none → 8.2.0b1
Uday Reddy (reddyuday) on 2016-10-28
Changed in vm:
milestone: 8.2.2a → 8.2.1a
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers